import * as $dara from '@darabonba/typescript';
export declare class GetRdTreeResponseBodyData extends $dara.Model {
    /**
     * @remarks
     * The subfolder.
     */
    children?: any[];
    /**
     * @remarks
     * The ID of the folder in the resource directory.
     *
     * @example
     * fd-CGA73I****
     */
    folderId?: string;
    /**
     * @remarks
     * The name of the folder.
     *
     * @example
     * Root
     */
    folderName?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class GetRdTreeResponseBody extends $dara.Model {
    /**
     * @remarks
     * The processing result.
     */
    data?: GetRdTreeResponseBodyData;
    /**
     * @remarks
     * The request ID.
     *
     * @example
     * 30CBF632-109F-596F-97F2-451C8B2A****
     */
    requestId?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
